Summary:	2D Quantum Monte Carlo simulator for semiconductor devices
Name:		archimedes
Version:	2.0.1
Release:	7%{?dist}
License:	GPLv3+
Group:		Applications/Engineering
URL:		http://www.gnu.org/software/archimedes/
Source0:	ftp://ftp.gnu.org/gnu/archimedes/%{name}-%{version}.tar.gz

BuildRequires:	dos2unix

%description
Archimedes is a package for the design and simulation of submicron
semiconductor devices. It is a 2D Fast Monte Carlo simulator which can take
into account all the relevant quantum effects, thank to the implementation of
the Bohm effective potential method.

The physics and geometry of a general device is introduced by typing a simple
script, which makes, in this sense, Archimedes a powerful tool for the
simulation of quite general semiconductor devices.

%prep
%setup -q

# Use tests as user examples
mv tests/ examples/
rm -rf examples/*/.log

# Suppress rpmlint errors
dos2unix COPYING doc/* doc/*/*
# Fix spurious-executable-perm warning
chmod 644 doc/*/*

# gcc-7 compatibility (F26FTBFS)
sed -i -e 's,inline,static inline,' src/random.h


%build
%configure
make %{?_smp_mflags}


%install
%make_install


%files
%{_bindir}/%{name}
%license COPYING
%doc AUTHORS ChangeLog doc examples NEWS README THANKS

%changelog
* Fri Feb 17 2017 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.0.1-7
- Let src/random.h use "static inline" instead of "inline"
  (Fix F26FTBFS, RHBZ#1423230).
- Add %%license.
- Modernize spec.

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 20 2014 Filipe Rosset <rosset.filipe@gmail.com> - 2.0.1-1
- New upstream release, spec cleanup, silent rpmlint, fix rhbz #958136 and #991987

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec 04 2011 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 2.0.0-1
- Bug 731298 - archimedes-2.0.0 is available - new upstream release
